> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Update contract service facility

PATCH https://api.taigabilling.com/api/contracts/v3/{contract_id}/service-facilities/{contract_service_facility_id}
Content-Type: application/json

Reference: https://docs.taigabilling.com/api-reference/contracts-v-3/contracts-v-3-update-contract-service-facility

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `contract_id` (string, required)
- `contract_service_facility_id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `service_facility_id` (string, optional, nullable) — The UUID of the service facility
- `provider_ids` (list of string, optional, nullable) — The providers who are authorized under the contract

## Response

### 200

- `contract_id` (string, required) — The UUID of the contract
- `contract_service_facility_id` (string, required)
- `provider_ids` (list of string, required) — The providers who are authorized under the contract
- `service_facility_id` (string, required) — The UUID of the service facility

## Errors

### 422 Unprocessable Entity Error

- `Contracts_v3_update_contract_service_facilityRequestUnprocessableEntityError`
  - ContractsV3UpdateContractServiceFacilityRequestUnprocessableEntityError0

## Types

### ContractsV3UpdateContractServiceFacilityRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "contract_id": "string",
  "contract_service_facility_id": "string",
  "provider_ids": [
    "string"
  ],
  "service_facility_id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/contracts/v3/contract_id/service-facilities/contract_service_facility_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```